Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data.buffer.codec
Class SQLCODEC

    java.lang.Object
      org.encog.ml.data.buffer.codec.SQLCODEC

All Implemented Interfaces:
  DataSetCODEC

    public class SQLCODEC

extends Object
implements DataSetCODEC

A CODEC that is designed to read data from an SQL source. This is a read-only codec.

Constructor Summary
`SQLCODEC(Connection theConnection, String theSQL, int theInputSize, int theIdealSize)` Create a SQLNeuralDataSet based on the specified connection.
`SQLCODEC(String theSQL, int theInputSize, int theIdealSize, String theDriver, String theURL, String theUID, String thePWD)` Construct a SQL dataset.

Method Summary
`void` | `close()` Close any open files.
`int` | `getFetchSize()`
`int` | `getIdealSize()`
`int` | `getInputSize()`
`void` | `prepareRead()` Prepare to read from an external data source.
`void` | `prepareWrite(int recordCount, int theInputSize, int theIdealSize)` Prepare to write to an external data destination.
`boolean` | `read(double[] input, double[] ideal, double[] significance)` Read one record of data from an external source.
`void` | `setFetchSize(int theFetchSize)`
`void` | `write(double[] input, double[] ideal, double significance)` Write one record of data to an external destination.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLCODEC

    public SQLCODEC(Connection theConnection,
                    String theSQL,
                    int theInputSize,
                    int theIdealSize)

  Create a SQLNeuralDataSet based on the specified connection. This connection WILL NOT be closed when the close method is called.

  Parameters:
    `theConnection` - The connection to use.
    `theSQL` - The SQL command to execute.
    `theInputSize` - The size of the input data.
    `theIdealSize` - The size of the ideal data.

### SQLCODEC

    public SQLCODEC(String theSQL,
                    int theInputSize,
                    int theIdealSize,
                    String theDriver,
                    String theURL,
                    String theUID,
                    String thePWD)

  Construct a SQL dataset. A connection will be opened, this connection will be closed when the close method is called.

  Parameters:
    `theSQL` - The SQL command to execute.
    `theInputSize` - The size of the input data.
    `theIdealSize` - The size of the ideal data.
    `theDriver` - The driver to use.
    `theURL` - The database connection URL.
    `theUID` - The database user id.
    `thePWD` - The database password.

Method Detail

### close

    public final void close()

  Close any open files.

  Specified by:
    `close` in interface `DataSetCODEC`

### getIdealSize

    public final int getIdealSize()

  Specified by:
    `getIdealSize` in interface `DataSetCODEC`
  Returns:
    The size of the ideal data.

### getInputSize

    public final int getInputSize()

  Specified by:
    `getInputSize` in interface `DataSetCODEC`
  Returns:
    The size of the input data.

### prepareRead

    public final void prepareRead()

  Prepare to read from an external data source.

  Specified by:
    `prepareRead` in interface `DataSetCODEC`

### prepareWrite

    public final void prepareWrite(int recordCount,
                                   int theInputSize,
                                   int theIdealSize)

  Prepare to write to an external data destination.

  Specified by:
    `prepareWrite` in interface `DataSetCODEC`
  Parameters:
    `recordCount` - The total record count, that will be written.
    `theInputSize` - The input size.
    `theIdealSize` - The ideal size.

### read

    public final boolean read(double[] input,
                              double[] ideal,
                              double[] significance)

  Read one record of data from an external source.

  Specified by:
    `read` in interface `DataSetCODEC`
  Parameters:
    `input` - The input data array.
    `ideal` - The ideal data array.
  Returns:
    True, if there is more data to be read.

### write

    public final void write(double[] input,
                            double[] ideal,
                            double significance)

  Write one record of data to an external destination.

  Specified by:
    `write` in interface `DataSetCODEC`
  Parameters:
    `input` - The input data array.
    `ideal` - The ideal data array.

### getFetchSize

    public final int getFetchSize()

  Returns:
    the fetchSize

### setFetchSize

    public final void setFetchSize(int theFetchSize)

  Parameters:
    `theFetchSize` - the fetchSize to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.